Bug 993717 - RFE: GUI: reload firewall could warn about erasing current setting
RFE: GUI: reload firewall could warn about erasing current setting
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: firewalld (Show other bugs)
7.0
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Thomas Woerner
Petr Sklenar
: FutureFeature
Depends On:
Blocks: 980210
  Show dependency treegraph
 
Reported: 2013-08-06 07:46 EDT by Petr Sklenar
Modified: 2014-06-17 23:09 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-06-13 09:26:03 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Petr Sklenar 2013-08-06 07:46:56 EDT
Description of problem:
GUI: 'reload firewall' could warn about erasing current setting

Version-Release number of selected component (if applicable):
firewalld-0.3.4-1.fc19.noarch

How reproducible:
rfe

Steps to Reproduce:
1.firewall-config > Options > 'Reload firewall"

Actual results:
it reload and clean the runtime configuration

Expected results:
it could say some hint that default rules rewrite current.
or
rename Reload to something like "Reload to default values"

Additional info:
Comment 7 Petr Sklenar 2014-02-20 14:08:08 EST
(In reply to Jiri Popelka from comment #3)
> Should be better with:
> https://git.fedorahosted.org/cgit/firewalld.git/commit/
> ?id=3d7e69b636d6bac471340f548d4c7273ef9bc536

Hi, please
I did 'reload firewalld' in the GUI and there is no info about erased changed
Is it fixed in the firewall-config-0.3.9-4.el7.noarch?
Comment 8 Thomas Woerner 2014-02-21 06:43:04 EST
This has been added to the tooltip.
Comment 10 Ludek Smid 2014-06-13 09:26:03 EDT
This request was resolved in Red Hat Enterprise Linux 7.0.

Contact your manager or support representative in case you have further questions about the request.

Note You need to log in before you can comment on or make changes to this bug.